# Общая информация

### Основные события

| Событие            | Описание                                           |
| ------------------ | -------------------------------------------------- |
| `session_updated`  | создание / обновление чат-сессии                   |
| `message_created`  | получение сообщения от пользователя                |
| `operator_replied` | отправлено сообщение оператором чат-центра         |
| `message_updated`  | изменение сообщения (например при ошибке отправки) |

***

### Важные моменты

* при открытии чат-сессии вы всегда получаете 2 вебхука:  `session_updated` и `message_created`
* при назначении оператора на чат вебхук не отправляется
* при закрытии чат-сессии вебхук не отправляется


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fstrk.io/knowledge_base/intagrations/sobstvennaya-crm-and-cdp-new/obshaya-informaciya.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
